IOSS 2.0

Classes | Functions
anonymous_namespace{Iocgns_StructuredZoneData.C} Namespace Reference

## Classes
struct | Range

## Functions
bool | overlaps (const Range &a, const Range &b)
bool | zgc_overlaps (const Iocgns::StructuredZoneData *zone, const Ioss::ZoneConnectivity &zgc)
bool | zgc_donor_overlaps (const Iocgns::StructuredZoneData *zone, const Ioss::ZoneConnectivity &zgc)
Range | subset_range (const Range &a, const Range &b)
void | zgc_subset_ranges (const Iocgns::StructuredZoneData *zone, Ioss::ZoneConnectivity &zgc)
void | zgc_subset_donor_ranges (const Iocgns::StructuredZoneData *don_zone, Ioss::ZoneConnectivity &zgc)
void | propogate_zgc (Iocgns::StructuredZoneData *parent, Iocgns::StructuredZoneData *child, int ordinal, int rank)
void | add_proc_split_zgc (Iocgns::StructuredZoneData *parent, Iocgns::StructuredZoneData *c1, Iocgns::StructuredZoneData *c2, int ordinal)

## Function Documentation

## ◆ add_proc_split_zgc()

void anonymous_namespace{Iocgns_StructuredZoneData.C}::add_proc_split_zgc | ( | Iocgns::StructuredZoneData * | parent,
|  | Iocgns::StructuredZoneData * | c1,
|  | Iocgns::StructuredZoneData * | c2,
|  | int | ordinal
| ) |  |

## ◆ overlaps()

bool anonymous_namespace{Iocgns_StructuredZoneData.C}::overlaps | ( | const Range & | a,
|  | const Range & | b
| ) |  |

## ◆ propogate_zgc()

void anonymous_namespace{Iocgns_StructuredZoneData.C}::propogate_zgc | ( | Iocgns::StructuredZoneData * | parent,
|  | Iocgns::StructuredZoneData * | child,
|  | int | ordinal,
|  | int | rank
| ) |  |

## ◆ subset_range()

Range anonymous_namespace{Iocgns_StructuredZoneData.C}::subset_range | ( | const Range & | a,
|  | const Range & | b
| ) |  |

## ◆ zgc_donor_overlaps()

bool anonymous_namespace{Iocgns_StructuredZoneData.C}::zgc_donor_overlaps | ( | const Iocgns::StructuredZoneData * | zone,
|  | const Ioss::ZoneConnectivity & | zgc
| ) |  |

## ◆ zgc_overlaps()

bool anonymous_namespace{Iocgns_StructuredZoneData.C}::zgc_overlaps | ( | const Iocgns::StructuredZoneData * | zone,
|  | const Ioss::ZoneConnectivity & | zgc
| ) |  |

## ◆ zgc_subset_donor_ranges()

void anonymous_namespace{Iocgns_StructuredZoneData.C}::zgc_subset_donor_ranges | ( | const Iocgns::StructuredZoneData * | don_zone,
|  | Ioss::ZoneConnectivity & | zgc
| ) |  |

## ◆ zgc_subset_ranges()

void anonymous_namespace{Iocgns_StructuredZoneData.C}::zgc_subset_ranges | ( | const Iocgns::StructuredZoneData * | zone,
|  | Ioss::ZoneConnectivity & | zgc
| ) |  |